#ifndef _INCLUDED_PHIMAGE_H_
#define _INCLUDED_PHIMAGE_H_

#include <Foundation/NSGeometry.h>
#include <AppKit/NSImage.h>

@class NSAffineTransform;

@interface NSImage (PhotoClip)

- (NSImage *) imageFromRect: (NSRect) rect;
- (NSImage *) imageTransformedBy: (NSAffineTransform *) transform;

- (NSImage *) imageFromRect: (NSRect) rect
              transformedBy: (NSAffineTransform *) transform;

- (NSImage *) imageFromRect: (NSRect) rect
                   scaledBy: (float) scale
                  rotatedBy: (float) degrees;

- (NSImage *) imageFromRect: (NSRect) rect
                  rotatedBy: (float) degrees;

- (NSAffineTransform *) transformFromRotation: (float) degrees
                                        scale: (float) scale;


@end

#endif // _INCLUDED_PHIMAGE_H_
